function diagfun = update_diagnostic_equilbria(x,g,v,u,it,model,tgrid, Hn, mse_params)
stepTime = tgrid(it) +model.equi.offset-model.equi.init_time;
eq     = prepareEQstruct(model,tgrid, stepTime);
% check whether MSE_AUG is used [TODO]
diagfun = @(x,g,v,u,it,model,Hn)...
    diag_MSE_AUG(x,g,v,u,it,model,Hn,eq,mse_params,tgrid);
% optionally add other equilbrium-dependent diagnostics
% here
return